using System.Text.Json.Serialization;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models.@base;

public abstract class DomainBase
{
    [JsonPropertyName("name")]
    public string Name { get; set; } = string.Empty;

    [JsonPropertyName("sunriseHostName")]
    public string SunriseHostName { get; set; } = string.Empty;

    [JsonPropertyName("sunriseAppId")]
    public string SunriseAppId { get; set; } = string.Empty;

    [JsonPropertyName("sunriseCategoryId")]
    public string SunriseCategoryId { get; set; } = string.Empty;

    [JsonPropertyName("ssoProviderId")]
    public GeneralIdRef? SsoProviderId { get; set; } = null;

    [JsonPropertyName("sigmaId")]
    public long? SigmaId { get; set; } = null;

}